Indexes - Get Statistics

ドキュメント数やストレージ使用量など、指定されたインデックスの統計を返します。

GET {endpoint}/indexes('{indexName}')/search.stats?api-version=2023-10-01-Preview

URI パラメーター

名前 / 必須 型 説明
endpoint
path True

string

検索サービスのエンドポイント URL。

indexName
path True

string

統計を取得するインデックスの名前。

api-version
query True

string

クライアント API のバージョン。

要求ヘッダー

名前 必須 型 説明
x-ms-client-request-id

string (uuid)

デバッグに役立つ要求と共に送信される追跡 ID。

応答

名前 型 説明
200 OK

GetIndexStatisticsResult

Other Status Codes

SearchError

エラー応答。

例

SearchServiceGetIndexStatistics

要求のサンプル

GET https://myservice.search.windows.net/indexes('hotels')/search.stats?api-version=2023-10-01-Preview

応答のサンプル

{
  "documentCount": 239572,
  "storageSize": 72375920,
  "vectorIndexSize": 123456
}

定義

名前 説明
GetIndexStatisticsResult

特定のインデックスの統計。 統計は定期的に収集され、常に -date up-toされるとは限りません。

SearchError

API のエラー条件について説明します。

GetIndexStatisticsResult

特定のインデックスの統計。 統計は定期的に収集され、常に -date up-toされるとは限りません。

名前 型 説明
documentCount

integer (int64)

インデックス内のドキュメントの数。

storageSize

integer (int64)

インデックスによって消費されるストレージの量 (バイト単位)。

vectorIndexSize

integer (int64)

インデックス内のベクターによって消費されるメモリの量 (バイト単位)。

SearchError

API のエラー条件について説明します。

名前 型 説明
code

string

サーバー定義の一連のエラー コードの 1 つ。

details

SearchError[]

この報告されたエラーの原因となった特定のエラーに関する詳細の配列。

message

string

エラーの人間が判読できる表現。